Bug 830956 - RFE: ability to keep repository histories or package changes as version control
RFE: ability to keep repository histories or package changes as version control
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 15:11 EDT by Jim Perrin
Modified: 2015-02-28 18:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 19:48:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 173 None None None Never

  None (edit)
Description Jim Perrin 2012-06-11 15:11:09 EDT
Description of problem:

Add version control to repository state for history, rolling back, etc. 

Version-Release number of selected component (if applicable):


How reproducible:
Never. Doesn't currently exist. We'd like it to.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Currently the only method to maintain a repository version is to create a repository clone. 

Expected results:
Ability to update, roll back, and identify repository version information. 

Additional info:
Comment 1 Eric Lake 2012-06-11 18:43:26 EDT
This would be a really nice feature to have. I would envision something like the way git can tag a release. Or even the history functionality in yum may work as well. Once you know that the packages in your copy of the repo are good then you can create a tag that you can easily roll back to if needed. 

Where I work we have build systems that build code for our products all day every day. It would be nice to be able to get back to a know good repo if we find an issue.
Comment 2 Brian Bouterse 2015-02-18 19:48:43 EST
Moved to https://pulp.plan.io/issues/173

Note You need to log in before you can comment on or make changes to this bug.